# Tracking Time

To start running PunchIn for a specific client, use:

```sh
cargo run -- start <client>.json
```

Enter the projects as you start working on them. Each time you switch to a new
project, the current project will be committed and rounded to the next chunk
(by default, 30 minutes). Once finished, be sure to exit the program using
ctrl-d or EOL to properly save progress.

# Generating Reports

PunchIn natively supports Markdown and CSV.

```sh
cargo run -- report <client>.json --format markdown --timescale hours
cargo run -- report <client>.json --format csv --timescale hours
```
